VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   5055
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7095
   LinkTopic       =   "Form1"
   ScaleHeight     =   5055
   ScaleWidth      =   7095
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtResult 
      Height          =   1695
      Left            =   0
      MultiLine       =   -1  'True
      TabIndex        =   3
      Top             =   2640
      Width           =   4695
   End
   Begin VB.CommandButton cmdReplace 
      Caption         =   "Replace"
      Height          =   375
      Left            =   1920
      TabIndex        =   2
      Top             =   2160
      Width           =   855
   End
   Begin VB.TextBox txtPattern 
      Height          =   285
      Left            =   0
      TabIndex        =   1
      Text            =   """[^""]*"""
      Top             =   1800
      Width           =   4695
   End
   Begin VB.TextBox txtInput 
      Height          =   1695
      Left            =   0
      MultiLine       =   -1  'True
      TabIndex        =   0
      Top             =   0
      Width           =   4695
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdReplace_Click()
Dim txt As String
Dim result As String
Dim next_unmatched As Integer
Dim reg_exp As New RegExp
Dim a_match As Match

    txt = txtInput.Text
    result = ""
    next_unmatched = 1

    reg_exp.Pattern = txtPattern.Text
    reg_exp.IgnoreCase = True
    reg_exp.Global = True

    For Each a_match In reg_exp.Execute(txt)
        ' Add the text before the next match.
        If a_match.FirstIndex > next_unmatched Then
            result = result & Mid$(txt, next_unmatched, a_match.FirstIndex - next_unmatched)
        End If

        ' Add the matched text.
        result = result & Replace(a_match.Value, "/", "?")
        Debug.Print "[" & a_match.Value & "]"

        ' Set next_unmatched to the index
        ' of the last character in this match.
        next_unmatched = a_match.FirstIndex + a_match.Length
    Next a_match

    ' Add the rest of the string.
    If Len(txt) > next_unmatched Then
        result = result & Mid$(txt, next_unmatched)
    End If

    ' Display the result.
    txtResult.Text = result
End Sub
Private Sub Form_Load()
Dim txt As String

    txt = "<Data>" & vbCrLf
    txt = txt & "  <Item>" & vbCrLf
    txt = txt & "    <Media Src=""//temp/media/file1.abc""/>" & vbCrLf
    txt = txt & "    <Media Src=""//temp/media/file2.abc""/>" & vbCrLf
    txt = txt & "    <Media Src=""//temp/media/file3.abc""/>" & vbCrLf
    txt = txt & "    <Media Src=""//temp/media/file4.abc""/>" & _
                "    <Media Src=""//temp/media/file5.abc""/>" & vbCrLf
    txt = txt & "  </Item>" & vbCrLf
    txt = txt & "</Data>" & vbCrLf
    txtInput.Text = txt
End Sub


Private Sub Form_Resize()
Dim hgt As Single

    hgt = ScaleHeight - (txtPattern.Height + cmdReplace.Height + 90)
    hgt = hgt / 2
    If hgt < 120 Then hgt = 120

    txtInput.Move 0, 0, ScaleWidth, hgt
    txtPattern.Move 0, hgt + 30, ScaleWidth
    cmdReplace.Move (ScaleWidth - cmdReplace.Width) / 2, _
        txtPattern.Top + txtPattern.Height + 30
    txtResult.Move 0, cmdReplace.Top + cmdReplace.Height + 30, _
        ScaleWidth, hgt
End Sub


